> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cria.chat/llms.txt
> Use this file to discover all available pages before exploring further.

# Resolve a conversation

> Marks a conversation as resolved



## OpenAPI

````yaml /api-reference/openapi/client.json post /public/api/v1/inboxes/{inbox_identifier}/contacts/{contact_identifier}/conversations/{conversation_id}/toggle_status
openapi: 3.0.4
info:
  title: CriaChat
  description: This is the API documentation for CriaChat server.
  version: 1.1.0
  termsOfService: https://www.cria.chat/terms-of-service/
  contact:
    email: hello@cria.chat
  license:
    name: MIT License
    url: https://opensource.org/licenses/MIT
servers:
  - url: https://app.cria.chat/
security: []
tags:
  - name: Contacts API
    description: Public contact APIs
  - name: Conversations API
    description: Public conversation APIs
  - name: Messages API
    description: Public message APIs
paths:
  /public/api/v1/inboxes/{inbox_identifier}/contacts/{contact_identifier}/conversations/{conversation_id}/toggle_status:
    parameters:
      - $ref: '#/components/parameters/public_inbox_identifier'
      - $ref: '#/components/parameters/public_contact_identifier'
      - $ref: '#/components/parameters/conversation_id'
    post:
      tags:
        - Conversations API
      summary: Resolve a conversation
      description: Marks a conversation as resolved
      operationId: resolve-conversation
      responses:
        '200':
          description: Conversation resolved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/public_conversation'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/bad_request_error'
        '404':
          description: Conversation not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/bad_request_error'
      security: []
components:
  parameters:
    public_inbox_identifier:
      in: path
      name: inbox_identifier
      schema:
        type: string
      required: true
      description: The identifier obtained from API inbox channel
    public_contact_identifier:
      in: path
      name: contact_identifier
      schema:
        type: string
      required: true
      description: The source id of contact obtained on contact create
    conversation_id:
      in: path
      name: conversation_id
      schema:
        type: integer
      required: true
      description: The numeric ID of the conversation
  schemas:
    public_conversation:
      type: object
      properties:
        id:
          type: integer
          description: Id of the conversation
        inbox_id:
          type: string
          description: The inbox id of the conversation
        messages:
          type: array
          items:
            $ref: '#/components/schemas/message'
          description: Messages in the conversation
        contact:
          type: object
          description: The contact information associated to the conversation
    bad_request_error:
      title: data
      type: object
      properties:
        description:
          type: string
        errors:
          type: array
          items:
            $ref: '#/components/schemas/request_error'
    message:
      type: object
      properties:
        id:
          type: number
          description: The ID of the message
        content:
          type: string
          description: The text content of the message
        account_id:
          type: number
          description: The ID of the account
        inbox_id:
          type: number
          description: The ID of the inbox
        conversation_id:
          type: number
          description: The ID of the conversation
        message_type:
          type: integer
          enum:
            - 0
            - 1
            - 2
          description: The type of the message
        created_at:
          type: integer
          description: The time at which message was created
        updated_at:
          type: integer
          description: The time at which message was updated
        private:
          type: boolean
          description: The flags which shows whether the message is private or not
        status:
          type: string
          enum:
            - sent
            - delivered
            - read
            - failed
          description: The status of the message
        source_id:
          type: string
          description: The source ID of the message
        content_type:
          type: string
          enum:
            - text
            - input_select
            - cards
            - form
          description: The type of the template message
        content_attributes:
          type: object
          description: The content attributes for each content_type
        sender_type:
          type: string
          enum:
            - contact
            - agent
            - agent_bot
          description: The type of the sender
        sender_id:
          type: number
          description: The ID of the sender
        external_source_ids:
          type: object
          description: The external source IDs of the message
        additional_attributes:
          type: object
          description: The additional attributes of the message
        processed_message_content:
          type: string
          description: The processed message content
        sentiment:
          type: object
          description: The sentiment of the message
        conversation:
          type: object
          description: The conversation object
        attachment:
          type: object
          description: The file object attached to the image
        sender:
          type: object
          description: User/Agent/AgentBot object
    request_error:
      type: object
      properties:
        field:
          type: string
        message:
          type: string
        code:
          type: string

````